Start typing to search.

API Reference

Validate invite token

View Markdown

Validates an invite token and returns the username. Public endpoint.

GET /api/auth/invite/{token}

Validates an invite token and returns the username. Public endpoint.

Operation ID: validateInvite

Authentication

No authentication is required.

Path parameters

  • tokenstring, required

Success responses

200

Valid invite token

Content type: application/json

  • Type: object
  • Properties:
    • username (string)
    • expires_at (string)
      • Format: date-time
    • totp_pending (boolean) — True when the invite password was accepted and TOTP verification is still pending

Error responses

400

Invalid or expired token

Examples

cURL

curl --request GET \
  --url 'https://your-envoy.example.com/api/auth/invite/YOUR_TOKEN'

JavaScript (fetch)

const response = await fetch('https://your-envoy.example.com/api/auth/invite/YOUR_TOKEN', {
  method: 'GET',
});
 
if (!response.ok) throw new Error(`Request failed: ${response.status}`);
const data = response.status === 204 ? null : await response.json();
console.log(data);